package org.gcube.portlets.widgets.inviteswidget.client;

import org.gcube.social_networking.socialnetworking.model.shared.InviteOperationResult;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * The client side stub for the RPC service.
 */
@RemoteServiceRelativePath("greet")
public interface InviteService extends RemoteService {
	Boolean accountExistInVRE(String email);
	InviteOperationResult sendInvite(String name, String lastName, String email) throws IllegalArgumentException;
}
